Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.tool
Class XSTCTester.TestCaseResult

    java.lang.Object
      org.apache.xmlbeans.impl.tool.XSTCTester.TestCaseResult

Enclosing class:
  XSTCTester

    public static class XSTCTester.TestCaseResult

extends java.lang.Object

Constructor Summary
`XSTCTester.TestCaseResult()`

Method Summary
`void` | `addIvMessages(java.util.Collection ivMessages)`
`void` | `addSvMessages(java.util.Collection svMessages)`
`java.util.Collection` | `getIvMessages()`
`java.util.Collection` | `getSvMessages()`
`XSTCTester.TestCase` | `getTestCase()`
`boolean` | `isCrash()`
`boolean` | `isIvActual()`
`boolean` | `isSvActual()`
`void` | `setCrash(boolean crash)`
`void` | `setIvActual(boolean ivActual)`
`void` | `setSvActual(boolean svActual)`
`boolean` | `succeeded(boolean errcode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSTCTester.TestCaseResult

    public XSTCTester.TestCaseResult()

Method Detail

### getTestCase

    public XSTCTester.TestCase getTestCase()

### isSvActual

    public boolean isSvActual()

### setSvActual

    public void setSvActual(boolean svActual)

### isIvActual

    public boolean isIvActual()

### setIvActual

    public void setIvActual(boolean ivActual)

### getSvMessages

    public java.util.Collection getSvMessages()

### addSvMessages

    public void addSvMessages(java.util.Collection svMessages)

### getIvMessages

    public java.util.Collection getIvMessages()

### addIvMessages

    public void addIvMessages(java.util.Collection ivMessages)

### setCrash

    public void setCrash(boolean crash)

### isCrash

    public boolean isCrash()

### succeeded

    public boolean succeeded(boolean errcode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD